
package mastermind.logic;

import java.util.logging.Level;
import java.util.logging.Logger;
import mastermind.model.Guess;
import org.junit.Test;
import static org.junit.Assert.*;

/**
 *
 * @author Felix Rohrer <felix.rohrer@stud.hslu.ch>
 */
public class RandomGuessTest {

    public RandomGuessTest() {
    }

    /**
     * Test of genRandomGuess method, of class RandomGuess.
     */
    @Test
    public void testGenRandomGuess()
    {
        System.out.println("genRandomGuess (atm: check length only...)");
        // define settings
        int numberOfColors = 4;
        boolean allowDuplicateColor = false;
        int numberOfPegs = 4;
        int numberOfRows = 4;
        try {
            SettingsHandler.getInstance().getSettings().setSettings(numberOfColors, allowDuplicateColor, numberOfPegs, numberOfRows);
        } catch (Exception ex) {
            Logger.getLogger(GuessHandlerTest.class.getName()).log(Level.SEVERE, null, ex);
        }

        Guess expResult = null;
        Guess result = RandomGuess.genRandomGuess();
        // Len must be 4
        assertEquals(4, result.getPegs().length);
    }

}