
package mastermind.solver;

import java.util.logging.Level;
import java.util.logging.Logger;
import mastermind.logic.SettingsHandler;
import mastermind.model.Guess;
import org.junit.Test;
import static org.junit.Assert.*;

/**
 *
 * @author Felix Rohrer <felix.rohrer@stud.hslu.ch>
 */
public class SolverBruteforceTest {

    public SolverBruteforceTest()
    {
    }

    /**
     * Test of getNextGuess method, of class SolverBruteforce.
     * TODO check Guess if it's valid...
     */
    @Test
    public void testGetNextGuess()
    {
        System.out.println("getNextGuess (atm: check length only...)");
        int numberOfColors = 4;
        boolean allowDuplicateColor = false;
        int numberOfPegs = 4;
        int numberOfRows = 4;
        try {
            SettingsHandler.getInstance().getSettings().setSettings(numberOfColors, allowDuplicateColor, numberOfPegs, numberOfRows);
        } catch (Exception ex) {
            Logger.getLogger(SolverBruteforceTest.class.getName()).log(Level.SEVERE, null, ex);
        }
        SolverBruteforce instance = new SolverBruteforce();
        Guess result = instance.getNextGuess(null,1);
        // Len must be 4
        assertEquals(4, result.getPegs().length);
    }

}